## pg-fact-loader 1.5.2

=== Makefile ===
EXTENSION = pg_fact_loader
DATA =  pg_fact_loader--1.4.sql pg_fact_loader--1.4--1.5.sql \
        pg_fact_loader--1.5.sql
MODULES = pg_fact_loader 

REGRESS := 01_create_ext 02_schema 03_audit \
        04_seeds 05_pgl_setup 06_basic_workers \
        07_launch_worker 08_fact_table_deps \
        09_purge 10_delete 11_more_data \
        12_no_proid 13_cutoff_no_dep_on_filter \
        14_null_key 15_source_change_date \
        16_1_2_features 17_1_3_features
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Prevent unintentional inheritance of PGSERVICE while running regression suite
# with make installcheck.  We typically use PGSERVICE in our shell environment but
# not for dev. Require instead explicit PGPORT= or PGSERVICE= to do installcheck
unexport PGSERVICE

=== debian/changelog ===
pg-fact-loader (1.5.2-2) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Feb 2020 22:32:32 +0100

pg-fact-loader (1.5.2-1) unstable; urgency=medium

  * Fix time zone bug and behavior of SIGTERM 

 -- Jeremy Finzel <jfinzel@enova.com>  Thu, 29 Nov 2018 10:36:36 -0600 

pg-fact-loader (1.5.1-2) UNRELEASED; urgency=medium

  * Test-Depend on postgresql-contrib-PGVERSION.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Nov 2018 15:06:02 +0100

pg-fact-loader (1.5.1-1) unstable; urgency=medium

  * Fixes for old version tests 

 -- Jeremy Finzel <jfinzel@enova.com>  Tue, 27 Nov 2018 09:23:57 -0600 
 

pg-fact-loader (1.5.0-1) unstable; urgency=medium

  * Initial public version of pg_fact_loader 

 -- Jeremy Finzel <jfinzel@enova.com>  Fri, 09 Nov 2018 11:54:11 -0600 

=== debian/control ===
Source: pg-fact-loader
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 9), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.1.3
Homepage: https://github.com/enova/pg_fact_loader
Vcs-Git: https://github.com/enova/pg_fact_loader.git

Package: postgresql-12-pg-fact-loader
Architecture: any
Depends: postgresql-12, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 12.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-12, postgresql-12-pglogical, postgresql-12-pglogical-ticker
Tests: installcheck
Restrictions: allow-stderr

## pg-fact-loader 1.6.0~20220627.1631-5~1.git2470c5e.pgdg21.10+1

=== debian/changelog ===
pg-fact-loader (1.6.0~20220627.1631-5~1.git2470c5e.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

pg-fact-loader (1.6.0-5) unstable; urgency=medium

  * Team upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Oct 2021 11:24:23 +0200

pg-fact-loader (1.6.0-4) unstable; urgency=medium

  * Team upload.
  * Ignore test failures on armhf.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Dec 2020 17:38:17 +0100

pg-fact-loader (1.6.0-3) unstable; urgency=medium

  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 16:26:16 +0200

pg-fact-loader (1.6.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13.
  * Disable 16_1_2_features and 17_1_3_features tests, they are flaky.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Oct 2020 13:59:54 +0200

pg-fact-loader (1.6.0-1) unstable; urgency=medium

  * Change regproc to text to allow pgupgrade 
  * Ensure pg12 readiness

 -- Jeremy Finzel <jfinzel@enova.com>  Mon, 31 Aug 2020 10:23:10 -0500

## pg-fact-loader 1.6.0~20220627.1631-5~1.git2470c5e.pgdg90+1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 EXTENSION = pg_fact_loader
 DATA =  pg_fact_loader--1.4.sql pg_fact_loader--1.4--1.5.sql \
-        pg_fact_loader--1.5.sql
+        pg_fact_loader--1.5.sql pg_fact_loader--1.5--1.6.sql \
+        pg_fact_loader--1.6.sql
 MODULES = pg_fact_loader 
 
 REGRESS := 01_create_ext 02_schema 03_audit \
@@ -9,7 +10,7 @@
         09_purge 10_delete 11_more_data \
         12_no_proid 13_cutoff_no_dep_on_filter \
         14_null_key 15_source_change_date \
-        16_1_2_features 17_1_3_features
+
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pg-fact-loader (1.6.0~20220627.1631-5~1.git2470c5e.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

=== debian/control ===
Source: pg-fact-loader
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 10), libpq-dev, postgresql-common, postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/enova/pg_fact_loader
Vcs-Git: https://github.com/enova/pg_fact_loader.git

Package: postgresql-10-pg-fact-loader
Architecture: any
Depends: postgresql-10, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 10.

Package: postgresql-11-pg-fact-loader
Architecture: any
Depends: postgresql-11, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 11.

Package: postgresql-12-pg-fact-loader
Architecture: any
Depends: postgresql-12, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 12.

Package: postgresql-13-pg-fact-loader
Architecture: any
Depends: postgresql-13, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 13.

Package: postgresql-14-pg-fact-loader
Architecture: any
Depends: postgresql-14, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 14.

## pg-fact-loader 1.6.0~20220627.1631-5~1.git2470c5e.pgdg110+1

=== debian/changelog ===
pg-fact-loader (1.6.0~20220627.1631-5~1.git2470c5e.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

## pg-fact-loader 1.6.0~20220627.1631-5~1.git2470c5e.pgdg120+1

=== debian/changelog ===
pg-fact-loader (1.6.0~20220627.1631-5~1.git2470c5e.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Jeremy Finzel <jfinzel@enova.com>
-Build-Depends: debhelper (>= 10), libpq-dev, postgresql-common, postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), libpq-dev, postgresql-common, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/enova/pg_fact_loader

## pg-fact-loader 1.6.0~20220627.1631-5~1.git2470c5e.pgdg+1

=== debian/changelog ===
pg-fact-loader (1.6.0~20220627.1631-5~1.git2470c5e.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-10-pglogical, postgresql-11-pglogical, postgresql-12-pglogical, postgresql-13-pglogical, postgresql-14-pglogical, postgresql-10-pglogical-ticker, postgresql-11-pglogical-ticker, postgresql-12-pglogical-ticker, postgresql-13-pglogical-ticker, postgresql-14-pglogical-ticker
Tests: installcheck
Restrictions: allow-stderr

## pg-fact-loader 1.6.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
         09_purge 10_delete 11_more_data \
         12_no_proid 13_cutoff_no_dep_on_filter \
         14_null_key 15_source_change_date \
-
+        16_1_2_features 17_1_3_features
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pg-fact-loader (1.6.0-5.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 25 Oct 2021 11:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,12 @@
 Rules-Requires-Root: no
 Homepage: https://github.com/enova/pg_fact_loader
 Vcs-Git: https://github.com/enova/pg_fact_loader.git
+
+Package: postgresql-9.6-pg-fact-loader
+Architecture: any
+Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Description: Build fact tables asynchronously with Postgres
+ Use queue tables to build fact tables asynchronously for PostgreSQL 9.6.
 
 Package: postgresql-10-pg-fact-loader
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest, we cannot depend on postgresql-*-pglogical

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-9.6-pglogical, postgresql-10-pglogical, postgresql-11-pglogical, postgresql-12-pglogical, postgresql-13-pglogical, postgresql-14-pglogical, postgresql-9.6-pglogical-ticker, postgresql-10-pglogical-ticker, postgresql-11-pglogical-ticker, postgresql-12-pglogical-ticker, postgresql-13-pglogical-ticker, postgresql-14-pglogical-ticker
Tests: installcheck
Restrictions: allow-stderr

## pg-fact-loader 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 EXTENSION = pg_fact_loader
 DATA =  pg_fact_loader--1.4.sql pg_fact_loader--1.4--1.5.sql \
         pg_fact_loader--1.5.sql pg_fact_loader--1.5--1.6.sql \
-        pg_fact_loader--1.6.sql
+        pg_fact_loader--1.6.sql pg_fact_loader--1.6--1.7.sql \
+        pg_fact_loader--1.7.sql
 MODULES = pg_fact_loader 
 
 REGRESS := 01_create_ext 02_schema 03_audit \

=== debian/changelog ===
pg-fact-loader (1.7.0-3) unstable; urgency=medium

  * Disable unstable parts of test 17. (Closes: #1023226)

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 11:01:38 +0100

pg-fact-loader (1.7.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * Convert to dh --with pgxs.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 20:30:11 +0200

pg-fact-loader (1.7.0-1) unstable; urgency=medium

  * Add pre-execute hook

 -- Jeremy Finzel <jfinzel@enova.com>  Tue, 23 Aug 2022 15:21:07 -0500

pg-fact-loader (1.6.0-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 05 Feb 2022 09:00:36 -0000

=== debian/control ===
Source: pg-fact-loader
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper-compat (= 13), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/enova/pg_fact_loader
Vcs-Git: https://github.com/enova/pg_fact_loader.git

Package: postgresql-15-pg-fact-loader
Architecture: any
Depends: postgresql-15, ${shlibs:Depends}, ${misc:Depends}
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 15.

=== debian/tests/control ===
Depends: @, make, postgresql-contrib-15, postgresql-15-pglogical, postgresql-15-pglogical-ticker
Tests: installcheck
Restrictions: allow-stderr

## pg-fact-loader 2.0.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 DATA =  pg_fact_loader--1.4.sql pg_fact_loader--1.4--1.5.sql \
         pg_fact_loader--1.5.sql pg_fact_loader--1.5--1.6.sql \
         pg_fact_loader--1.6.sql pg_fact_loader--1.6--1.7.sql \
-        pg_fact_loader--1.7.sql
-MODULES = pg_fact_loader 
+        pg_fact_loader--1.7.sql pg_fact_loader--1.7--2.0.sql \
+        pg_fact_loader--2.0.sql
 
 REGRESS := 01_create_ext 02_schema 03_audit \
         04_seeds 05_pgl_setup 06_basic_workers \

=== debian/changelog ===
pg-fact-loader (2.0.1-5) unstable; urgency=medium

  * Disable unstable tests 16 and 17.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Apr 2025 22:45:14 +0200

pg-fact-loader (2.0.1-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 14:45:06 +0000

pg-fact-loader (2.0.1-3) unstable; urgency=medium

  * Build-depend on all postgresql-PGVERSIONS-pglogical-ticker.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Feb 2024 11:27:28 +0100

pg-fact-loader (2.0.1-2) unstable; urgency=medium

  * Run tests at build time (needs postgresql-common 256).

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2023 16:16:34 +0000

pg-fact-loader (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Use wal_level=logical for testing.
  * Move packaging repo to salsa.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Oct 2023 17:11:00 +0200

=== debian/control ===
Source: pg-fact-loader
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Jeremy Finzel <jfinzel@enova.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libpq-dev,
 postgresql-17-pglogical-ticker,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/enova/pg_fact_loader
Vcs-Browser: https://salsa.debian.org/postgresql/pg-fact-loader
Vcs-Git: https://salsa.debian.org/postgresql/pg-fact-loader.git

Package: postgresql-17-pg-fact-loader
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Build fact tables asynchronously with Postgres
 Use queue tables to build fact tables asynchronously for PostgreSQL 17.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext \
		-o shared_preload_libraries=pglogical \
		-o wal_level=logical \
		installcheck \
		. . postgresql-%v-pg-fact-loader

%:
	dh $@ --with pgxs

=== debian/tests/control ===
Depends:
 make,
 postgresql-17-pglogical-ticker,
 postgresql-contrib-17,
 @,
Tests: installcheck
Restrictions: allow-stderr
